> ## Documentation Index
> Fetch the complete documentation index at: https://perps-api.vooi.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Enable Kinetiq kPoints by verifying a wallet signature



## OpenAPI

````yaml https://vooi-api-app.fly.dev/swagger/json post /kinetiq/enable
openapi: 3.1.0
info:
  title: VOOI API
  description: Unified perps API
  version: '1.0'
  contact: {}
servers:
  - url: https://perps-api.vooi.io
security: []
tags: []
paths:
  /kinetiq/enable:
    post:
      tags:
        - Kinetiq
      summary: Enable Kinetiq kPoints by verifying a wallet signature
      operationId: KinetiqController_enableKinetiq
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EnableKinetiqBodyDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KinetiqAccountDto'
      security:
        - bearer: []
components:
  schemas:
    EnableKinetiqBodyDto:
      type: object
      properties:
        signature:
          type: string
          description: >-
            Wallet signature (personal_sign) of the message "kPoints account
            verification", signed by your Hyperliquid wallet
          example: 0xabcdef...
      required:
        - signature
      title: EnableKinetiqBody
    KinetiqAccountDto:
      type: object
      properties:
        address:
          type: string
          description: Wallet address linked to your Kinetiq kPoints
      required:
        - address
      title: KinetiqAccount
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.